Prereq: 1.37

===================================================================
RCS file: RCS/gnus-art.el,v
retrieving revision 1.37
retrieving revision 1.38
diff -ubw -r1.37 -r1.38
--- 1.37	1998/03/19 08:21:51
+++ 1.38	1998/03/19 08:41:53
@@ -2620,6 +2620,14 @@
   (let ((winconf (current-window-configuration)))
     (set-buffer gnus-article-buffer)
     (gnus-article-edit-mode)
+    ;;
+    ;;  Give user the original article for editing. This
+    ;;  *Article* buffer may have been formatted by variaous gnus functions.
+    ;;
+    (delete-region (point-min) (point-max))
+    (unless (buffer-live-p (get-buffer gnus-original-article-buffer))
+      (error "Can't find orginal buffer: %s" gnus-original-article-buffer))
+    (insert-buffer gnus-original-article-buffer)
     (gnus-set-text-properties (point-min) (point-max) nil)
     (gnus-configure-windows 'edit-article)
     (setq gnus-article-edit-done-function exit-func)
